/*!
 * @license
 * Copyright 2017 Alfresco Software, Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthenticationService, UserPreferencesService } from '@alfresco/adf-core';

@Component({
    templateUrl: './login.component.html'
})
export class LoginComponent implements OnInit {
    constructor(
        private router: Router,
        private auth: AuthenticationService,
        private userPreferences: UserPreferencesService
    ) {}

    ngOnInit() {
        if (this.auth.isEcmLoggedIn()) {
            this.router.navigateByUrl(this.auth.getRedirectUrl() || '');
        }
    }

    onLoginSuccess(data) {
        if (data && data.username) {
            this.userPreferences.setStoragePrefix(data.username);
        }

        this.router.navigateByUrl('/personal-files');
    }
}
